package com.steerinfo.dil.service;

import com.steerinfo.dil.model.WmshInboundResult;

import java.util.List;
import java.util.Map;

/**
 * WmshInboundResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-10 11:08
 * 类描述
 * 修订历史：
 * 日期：2021-10-10
 * 作者：generator
 * 参考：
 * 描述：WmshInboundResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IWmshInboundResultService{

    //添加入库实绩
    int addWarehousingResult(WmshInboundResult wmshInboundResult);

    //查询港存库入库实绩
    List<Map<String, Object>> getAllResult(Map<String, Object> map);

    //通过Id查询港存库入库 用于修改
    List<Map<String, Object>> getResultById(Integer resultId);

    //修改港存库入库实绩
    int updateWareHosingResult(WmshInboundResult wmshInboundResult);

    //逻辑删除港存库入库实绩
    int deleteWareHosingResult(Integer ResultId);
}